## net.i2p.router.client
Class ReportAbuseJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.client.ReportAbuseJob

All Implemented Interfaces:
  Job

     class ReportAbuseJob

extends JobImpl

Async job to send an abuse message to the client

Constructor Summary
`ReportAbuseJob(RouterContext context, ClientConnectionRunner runner, String reason, int severity)`

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReportAbuseJob

    public ReportAbuseJob(RouterContext context,
                          ClientConnectionRunner runner,
                          String reason,
                          int severity)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.